#pragma once
#include "lua.h"

extern int music_disabled;

/* Thread. */
int music_thread(void* unused);
void music_kill(void);

/* Init/Exit. */
int music_init(void);
void music_exit(void);

/* Music control. */
int music_volume(const double vol);
void music_load(const char* name);
void music_play(void);
void music_stop(void);
void music_pause(void);
void music_resume(void);
void music_setPos(double sec);

/* Lua control. */
int lua_loadMusic(lua_State* L, int read_only);
int music_choose(char* situation);

